compatible versions of gdb6.1 and binutils?

'Daniel Jacobowitz' drow@false.org
Wed Apr 21 18:43:00 GMT 2004


On Wed, Apr 21, 2004 at 12:06:45PM -0400, Marcus Rosen wrote:
> 
> I can see that I would need to checkout the sources from cvs myself.  But my
> confusion has to do with how to pick what versions to grab.  I expect that I
> would want to grab the gdb alias module at the 6.1 release tag.  But now I'm
> not sure how to pick which versions of the naked-ld, naked-gas and
> naked-binutils to grab.  Grabbing from the head doesn't seem like an option
> since I need to have code that is at least thought to be stable and it would
> be nearly impossible for me to upgrade my versions of the sources later if I
> couldn't generate diffs against a tag.  What I was hoping was that gdb
> depended on a specific "release" of the shared components so that it would
> be possible to pick a common baseline between gdb and binutils.  So I'm
> wondering if anyone can suggest how I would go about picking these versions,
> that is unless I got something completely wrong?

There is no depending on specific "releases".  They all live on HEAD;
at one point GDB 6.1 branched; at another point binutils 2.15 branched.

-- 
Daniel Jacobowitz
MontaVista Software                         Debian GNU/Linux Developer



More information about the Gdb mailing list